org.eclipse.cdt.core.build

## Interface ICBuildCommandLauncher

    public interface ICBuildCommandLauncher

Since:
  6.5

### Method Summary

All Methods Instance Methods Abstract Methods
`ICBuildConfiguration` `getBuildConfiguration()` Get registered CBuildConfiguration
`String` `getConsoleHeader()` Get any special console header (e.g.
`void` `setBuildConfiguration(ICBuildConfiguration config)` Register a CBuildConfiguration for this command launcher

### Method Detail

#### getBuildConfiguration

    ICBuildConfiguration getBuildConfiguration()

Get registered CBuildConfiguration

Returns:
  ICBuildConfiguration or null

#### setBuildConfiguration

    void setBuildConfiguration(ICBuildConfiguration config)

Register a CBuildConfiguration for this command launcher

Parameters:
  `config` - - CBuildConfiguration to register

#### getConsoleHeader

    String getConsoleHeader()

Get any special console header (e.g. Container Image used)